# Get Company List

## Get Company List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/contact?action=getCompanyList`

Get a list of companies

#### Path Parameters

| Name    | Type    | Description                                                                                                        |
| ------- | ------- | ------------------------------------------------------------------------------------------------------------------ |
| perPage | integer | The number of companies to get in a single call                                                                    |
| start   | integer | The starting result of the page. Not this is zero based (i.e. sending start = 0 will start from the first result.) |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Additional [Filter ](/getting-started/interpreting-the-response/filtering.md)Properties

| Property         | Description                    | Type                                                                |
| ---------------- | ------------------------------ | ------------------------------------------------------------------- |
| fromModifiedDate | Filter by Modified Date        | [iVvy Timestamp Format](/development-reference/timestamp-format.md) |
| toModifiedDate   | Filter by Modified Date        | [iVvy Timestamp Format](/development-reference/timestamp-format.md) |
| venueId          | Filter by specific Venue       | integer                                                             |
| venueGroupId     | Filter by specific Venue Group | integer                                                             |

## Returns

| Property                     | Description                                                                                                                    |
| ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| id                           | The unique identifier for the company                                                                                          |
| externalId                   | Optionally a unique identifier of the company that is managed by an external application                                       |
| businessName                 | The company's business name                                                                                                    |
| tradingName                  | The company's trading name                                                                                                     |
| businessNumber               | The company's registration number                                                                                              |
| phone                        | The company's phone number                                                                                                     |
| fax                          | The company's fax number                                                                                                       |
| website                      | The company's website                                                                                                          |
| email                        | The company's email address                                                                                                    |
| address                      | The company’s address. This is an an object with the address [keys](#keys).                                                    |
| modifiedDate                 | The modified date of the company                                                                                               |
| primaryAccountManager        | The primary account manager of the company. This is an an object with the [keys](#primaryaccountmanager)                       |
| secondaryAccountManager      | The secondary account manager of the company. This is an an object with the [keys](#secondaryaccountmanager)                   |
| industry                     | The industry of the company. This is an an object with the [keys](#industry)                                                   |
| primaryContact               | The primary contact of the company. This is an an object with the [keys](#primarycontact)                                      |
| isAgent                      | Whether the company is an agent or not.                                                                                        |
| parentCompanyId              | The parent company id of the company                                                                                           |
| leftValue                    | The left value of the node in the tree structure.                                                                              |
| rightValue                   | The right value of the node in the tree structure.                                                                             |
| depth                        | The depth of this company in the tree structure.                                                                               |
| rootId                       | The root company id.                                                                                                           |
| commissionSpace              | The commission amount of the company space.                                                                                    |
| commissionSpaceType          | The commission amount type of the company space.                                                                               |
| commissionFoodValue          | The commission amount of the company food.                                                                                     |
| commissionFoodType           | The commission amount type of the company food.                                                                                |
| commissionBeverageValue      | The commission amount of the company beverage.                                                                                 |
| commissionBeverageType       | The commission amount type of the company beverage.                                                                            |
| commissionAudioVisualValue   | The commission amount of the company audio visual.                                                                             |
| commissionAudioVisualType    | The commission amount type of the company audio visual.                                                                        |
| commissionAccommodationValue | The commission amount of the company accommodation.                                                                            |
| commissionAccommodationType  | The commission amount type of the accommodation.                                                                               |
| iataNumber                   | The IATA number of commission payable to the agent.                                                                            |
| customFields                 | The custom field information for the company. This is an array of fields, each an object with the [keys](#custom-fields-keys). |

## Keys

| keys                  |
| --------------------- |
| line1                 |
| line2                 |
| line3                 |
| line4                 |
| city                  |
| stateCode (e.g: QLD)  |
| countryCode (e.g: AU) |
| postalCode            |

## primarycontact

| Property  | Type    | Description                          |
| --------- | ------- | ------------------------------------ |
| id        | integer | The unique identifier of the contact |
| firstName | string  | The first name of the contact        |
| lastName  | string  | The last name of the contact         |
| email     | string  | The email address of the contact     |
| phone     | string  | The phone number of the contact      |

## primaryaccountmanager

| Property  | Type    | Description                                          |
| --------- | ------- | ---------------------------------------------------- |
| id        | integer | The unique identifier of the primary account manager |
| firstName | string  | The first name of the primary account manager        |
| lastName  | string  | The last name of the primary account manager         |
| email     | string  | The email address of the primary account manager     |

## secondaryaccountmanager

| Property  | Type    | Description                                            |
| --------- | ------- | ------------------------------------------------------ |
| id        | integer | The unique identifier of the secondary account manager |
| firstName | string  | The first name of the secondary account manager        |
| lastName  | string  | The last name of the secondary account manager         |
| email     | string  | The email address of the secondary account manager     |

## industry

| Property | Type    | Description                           |
| -------- | ------- | ------------------------------------- |
| id       | integer | The unique identifier of the industry |
| name     | string  | The name of the industry              |

### Custom Fields Keys

\| fieldId | | displayName | | value |

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the events the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/contact/get-company-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
